1. Docs
  2. API Reference
  3. Refresh identity access token

Refresh identity access token

POST/v1/identity/auth/refresh

Request body

Code samples

cURLJavaScriptPythonGo
curl -X POST "https://api.canopy.dev/v1/identity/auth/refresh" \
  -H "Content-Type: application/json" \
  -d '{}'

Responses

200 New tokens returned
{
  "access_token": "string",
  "token_type": "string",
  "expires_in": 0
}

application/json

  • access_tokenstring*
  • token_typestring*
  • expires_innumber*
401 Invalid or expired token

Returned object

On this page

Related endpoints

POSTAuthenticate identity and receive tokens
POSTIdentity multi-App login: complete Application selection from pre-auth session
POSTLogout identity and revoke tokens
POSTVerify identity email address
POSTResend identity verification email
POSTRequest identity password reset
POSTReset identity password with token
POSTChange identity password (authenticated)
GETGet current identity profile
GETList identity active sessions
DELETERevoke a specific identity session
POSTLook up invite details by token
POSTAccept an invite